﻿@using SportsClub.Areas.Dashboard.Models
@model AccountBillingViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Credit Card
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>
    <fieldset>
     
        <div id="creditCard" class="clearfix">

            <div ng-hide="cardId>0" class="full-width place-left">
                <label class="req-star">Card number</label>
                <div style="width: 91.2%;" class="input-control text  cc-icons" data-role="input-control" @Html.AngValidationClassFor(model => model.CardNumber)>
                    <div class="card-number-box" id="card-number-box" >
                        <input ng-model="@Html.Ang(m => m.CardNumber)" type="text" @Html.AngTooltipValidationFor(model => model.CardNumber) />
                        </div>
                    </div>
            </div>
            <div ng-show="cardId>0" class="full-width place-left">
                <label class="req-star">Card number</label>
                <div style="width: 91.2%;" class="input-control text  cc-icons" data-role="input-control" @Html.AngValidationClassFor(model => model.CardNumber)>
                   
                        <input ng-model="@Html.Ang(m => m.CardNumber)" type="text" @Html.AngTooltipValidationFor(model => model.CardNumber) />
                  
                </div>
            </div>
            <div class="one-sixth place-left padding-right10">
                <label class="req-star">Month</label>
                <div style="width:62px !important;" class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model=>model.Month)>
                    <div @Html.AngTooltipValidationFor(model=>model.Month)>
                        <select chosen ng-model="@Html.Ang(m => m.Month)"
                                name="month" data-placeholder="MM"
                                ng-options="month for month in monthRange"></select>
                    </div>
                </div>
                    </div>
            <div class="one-sixth place-left">
                <label class="req-star" >Year</label>
               
                        <select id="yearbill" chosen ng-model="@Html.Ang(m => m.Year2Char)"
                                name="year" data-placeholder="YY"
                                ng-options="year for year in yearRange"></select>
                        <div class="billing">
                            <span style="margin-left: -13px;"> / 20 </span>
                      
                </div>
                        

                    </div>
                    <div class="one-seventh place-right">

                        <label class="req-star">CVC</label>
                        <div style="width: 60% !important;" class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CVV)>
                            <input id="cvc" ng-model="@Html.Ang(m => m.CVV)"  type="text" @Html.AngTooltipValidationFor(model => model.CVV) />
                            <div class="billdiv">
                                <span class="billspan tooltipbill">?</span>
                            </div>

                        </div>
                    </div>

                    <div class="full-width place-left">
                        <label class="req-star">Cardholder name</label>
                        <div style="width: 91.2%;" class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CardHolderName)>
                            <input id="cardHolder" ng-model="@Html.Ang(m => m.CardHolderName)" type="text" @Html.AngTooltipValidationFor(model => model.CardHolderName) />
                        </div>
                    </div>

                    <div class="full-width place-left">
                        <label class="req-star">Billing address</label>
                        <div style="width: 91.2%;" class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address)>
                            <input ng-model="@Html.Ang(model => model.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address) />
                        </div>
                    </div>
                    <div class="full-width place-left" ng-show="showIsDefault">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="@Html.Ang(m=>m.IsDefault)" type="checkbox">
                                <span class="check"></span>
                                Set this credit card as active
                            </label>
                        </div>
                    </div>
                </div>

</fieldset>

    <div class="clearfix"></div>
    <hr />
    <button ngaction="Settings_Account_Save" class="success large place-right" ng-click="saveCard()">Save</button>
    <a class="place-left button link large" ui-sref='AccountSettings'>Cancel</a>

    <div class="clearfix"></div>
</div>


